Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187580 - SunStudio12.2_linuxCompatGNU mode fails on any C project
SunStudio12.2_linuxCompatGNU mode fails on any C project
Status: VERIFIED WONTFIX
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
PC Linux
: P1 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 07:09 UTC by soldatov
Modified: 2011-03-30 14:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2010-06-15 07:09:19 UTC
Scenario:
- Add /shared/dp/sstrunk/latest/inst/intel-Linux.inst/opt/sun/sunstudioaten/bin toolchain
- Create InputOutput project (select SunStudio12.2_linuxCompatGNU)
- Buid project
===>

dmake: defaulting to parallel mode.
See the man page dmake(1) for more information on setting up the .dmakerc file.
ifdefqe-02 --> 1 job
ifdefqe-02 --> 2 jobs
"/shared/dp/sstrunk/latest/inst/intel-Linux.inst/opt/sun/sunstudioaten/bin/dmake" -f nbproject/Makefile-Debug.mk QMAKE= SUBPROJECTS= .build-conf
"/shared/dp/sstrunk/latest/inst/intel-Linux.inst/opt/sun/sunstudioaten/bin/dmake"  -f nbproject/Makefile-Debug.mk dist/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/inputoutput_2
ifdefqe-02 --> 1 job
mkdir -p build/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/src
cc   -c -g -o build/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/src/io.o src/io.c
ifdefqe-02 --> 1 job
mkdir -p dist/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86
cc    -compat=g -o dist/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/inputoutput_2 build/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/src/io.o  
cc: No valid input files specified, no output generated
dmake: Fatal error: Command failed for target `dist/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/inputoutput_2'
Current working directory /export/NB/InputOutput_2
mkdir -p dist/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86
cc    -compat=g -o dist/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/inputoutput_2 build/Debug/SunStudio_12.2_linuxCompatGNU-Linux-x86/src/io.o  
*** Error code 1
*** Error code 1
*** Error code 1
dmake: Fatal error: Command failed for target `.build-conf'
Current working directory /export/NB/InputOutput_2
dmake: Fatal error: Command failed for target `.build-impl'

BUILD FAILED (exit value 1, total time: 1s)
Comment 1 Alexander Simon 2010-06-15 10:19:12 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/8d612f92b05e
Comment 2 Alexander Simon 2010-06-15 10:30:07 UTC
Vladimir Kvashin: please verify fix in cnd-main
Comment 3 Alexander Simon 2010-06-15 10:56:28 UTC
addition fix for tool collection name
http://hg.netbeans.org/cnd-main/rev/efd9645711f3
Comment 4 soldatov 2010-06-15 11:47:26 UTC
verified. Now works correctly.

In order to check fix I replaced standard org-netbeans-modules-cnd-toolchain.jar in Oracle Solaris Studio and NetBeans 6.9 FCS on jar file with fix.
Comment 5 Vladimir Kvashin 2010-06-15 11:56:28 UTC
I reviewed the mentioned change sets. I believe the fix is correct and safe.
Comment 6 Alexander Simon 2010-06-15 15:23:12 UTC
Next additional fix for OracleSolarisStudio
http://hg.netbeans.org/cnd-main/rev/0d25404e1804
Comment 7 Alexander Simon 2010-06-15 19:16:34 UTC
fix for fast build (no flags)
http://hg.netbeans.org/cnd-main/rev/72f2a7fe3493
http://hg.netbeans.org/cnd-main/rev/e0d86ac88a83
Comment 8 Quality Engineering 2010-06-16 03:28:54 UTC
Integrated into 'main-golden', will be available in build *201006160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8d612f92b05e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed BZ#187580 SunStudio12.2_linuxCompatGNU mode fails on any C project
Comment 9 soldatov 2010-06-16 06:33:35 UTC
verified all tool chains on Linux in NetBeans and Oracle Solaris Studio
Comment 10 soldatov 2010-06-16 08:45:32 UTC
Verified all fixes in NetBeans 6.9 and Oracle Solaris Studio (standard
org-netbeans-modules-cnd-toolchain.jar is replaced new jar file from Alexander Simon)
Comment 11 Alexander Simon 2010-06-17 13:32:24 UTC
fixed in release691:
8d612f92b05e transplanted to 1dadc442a130
efd9645711f3 transplanted to 3d266669628c
0d25404e1804 transplanted to 460dd6e4b22c
72f2a7fe3493 transplanted to c2c6c32bb5f1
e0d86ac88a83 transplanted to 00be85de2f52
Comment 12 rbalada 2010-06-17 14:16:19 UTC
Please mark bugs VERIFIED-FIXED before transplanting to release691.

Please verify this bugfix asap.

Thanks,
-R
Comment 13 soldatov 2010-06-18 10:04:16 UTC
verified in NetBeans build the based on release691
Comment 14 Thomas Preisler 2010-06-20 15:29:16 UTC
Marking it SSIDE as it may be a showstopper for Aten.
Comment 15 soldatov 2010-07-09 08:47:44 UTC
verified in Oracle Solaris Studio build a based on NetBeans 6.9.1
Comment 16 Xebozone 2011-03-30 12:20:15 UTC
I am still having issues on Ubuntu 10.10, with NetBeans IDE 6.9 (Build 100825-unknown-revn).

I am able to compile fine with the Netbeans that comes with Solaris Studio (Oracle Solaris Studio 12.2 (Build 201011082200)), but when using the NetBeans IDE on its own with SunStudio 12.2 set up as a tool collection, things fail.

However, I think I pin-pointed the problem, but I don't know how to fix it. I just started coding, so I'm no guru, so please excuse any ignorance on my part.

In both versions of the logs below, I omitted the lines which were the same, so only the last commands are shown, as this is the problem.

Notice how Solaris Studio calls 'CC', and NetBeans calls 'cc' in the last couple commands. Thus, I assume NetBeans should be calling 'CC' instead.

Solaris Studio's compile log of the profiling demo:

mkdir -p dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86
CC    -compat=g -o dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/profilingdemo_1 build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/spinlock.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/sequential.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/parallel.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/common.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/rwlock.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/mutex.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/barrier.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/main.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/join.o -lpthread 

BUILD SUCCESSFUL (total time: 1s)

...and Netbeans using solaris studio tools:

mkdir -p dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86
cc    -compat=g -o dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/profilingdemo_1 build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/spinlock.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/sequential.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/parallel.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/common.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/rwlock.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/mutex.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/barrier.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/main.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/join.o -lpthread 
mkdir -p dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86
cc    -compat=g -o dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/profilingdemo_1 build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/spinlock.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/sequential.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/parallel.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/common.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/rwlock.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/mutex.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/barrier.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/main.o  build/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/join.o -lpthread 
cc: No valid input files specified, no output generated
*** Error code 1
dmake: Fatal error: Command failed for target `dist/Default/SunStudio_12.2_linuxCompatGNU-Linux-x86/profilingdemo_1'
*** Error code 1
*** Error code 1
Current working directory /home/mark/NetBeansProjects/ProfilingDemo_1
dmake: Fatal error: Command failed for target `.build-conf'
Current working directory /home/mark/NetBeansProjects/ProfilingDemo_1
dmake: Fatal error: Command failed for target `.build-impl'

BUILD FAILED (exit value 1, total time: 1s)
Comment 17 soldatov 2011-03-30 14:58:36 UTC
1) WONTFIX is wrong bug status. It is same to INVALID
2) What is NetBeans IDE 6.9 (Build 100825-unknown-revn)? For example Ubuntu repository contains modified NetBeans without patches. I expect NetBeans IDE 6.9.1 (Build 201011082200) line.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo